Bug 21520 - decodeAudioData Prose: avoid video containers that have an audio track
Summary: decodeAudioData Prose: avoid video containers that have an audio track
Status: CLOSED WONTFIX
Alias: None
Product: AudioWG - OBSOLETE - Moved to Github
Classification: Unclassified
Component: Web Audio API - OBSOLETE - See Github (show other bugs)
Version: unspecified
Hardware: PC All
: P2 normal
Target Milestone: TBD
Assignee: Chris Rogers
QA Contact: public-audio
URL: https://dvcs.w3.org/hg/audio/raw-file...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-02 14:41 UTC by Olivier Thereaux
Modified: 2014-10-28 17:16 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Thereaux 2013-04-02 14:41:45 UTC
Per discussion at Audio WG f2f 2013-03-26

Change:

"Audio file data can be in any of the formats supported by the audio element"

For:

"...can be accepted in formats containing only audio data (w/o video)"

This is to avoid the overhead of dealing with video containers that have an audio track.
Comment 1 Robert O'Callahan (Mozilla) 2013-04-03 01:19:11 UTC
What's the downside of supporting media formats that contain video tracks? I think in our implementation there's no implementation cost to supporting all the formats our HTML media elements support.
Comment 2 Olivier Thereaux 2014-10-28 17:13:48 UTC
Web Audio API issues have been migrated to Github. 
See https://github.com/WebAudio/web-audio-api/issues
Comment 3 Olivier Thereaux 2014-10-28 17:16:42 UTC
Closing. See https://github.com/WebAudio/web-audio-api/issues for up to date list of issues for the Web Audio API.